Name:           nodejs-tilelive-mapnik
Version:        0.6.5
Release:        2%{?dist}
Summary:        Mapnik backend for tilelive

License:        BSD
URL:            https://github.com/mapbox/tilelive-mapnik
Source0:        http://registry.npmjs.org/tilelive-mapnik/-/tilelive-mapnik-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(mocha)
BuildRequires:  npm(generic-pool)
BuildRequires:  npm(mapnik)
BuildRequires:  npm(mime)
BuildRequires:  npm(step)
BuildRequires:  npm(underscore)
BuildRequires:  ImageMagick

%description
Renderer backend for tilelive.js that uses node-mapnik to render
tiles and grids from a Mapnik XML file. tilelive-mapnik implements
the Tilesource API.


%prep
%setup -q -n package
%nodejs_fixdep -r eio
%nodejs_fixdep underscore "~1.5.1"
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/tilelive-mapnik
cp -pr package.json lib %{buildroot}/%{nodejs_sitelib}/tilelive-mapnik
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha -R spec


%files
%doc LICENSE README.md CHANGELOG.md
%{nodejs_sitelib}/tilelive-mapnik


%changelog
* Sun Jan 19 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.5-2
- fix underscore for 1.5.1

* Fri Jan 10 2014 Tom Hughes <tom@compton.nu> - 0.6.5-1
- Update to 0.6.5 upstream release

* Tue Nov 19 2013 Tom Hughes <tom@compton.nu> - 0.6.4-1
- Update to 0.6.4 upstream release

* Mon Oct  7 2013 Tom Hughes <tom@compton.nu> - 0.6.3-1
- Update to 0.6.3 upstream release

* Fri Sep 27 2013 Tom Hughes <tom@compton.nu> - 0.6.2-1
- Update to 0.6.2 upstream release

* Thu Sep 12 2013 Tom Hughes <tom@compton.nu> - 0.6.1-1
- Update to 0.6.1 upstream release

* Wed Sep 11 2013 Tom Hughes <tom@compton.nu> - 0.5.0-4
- Rebuild against nodejs-mapnik 1.2.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 Tom Hughes <tom@compton.nu> - 0.5.0-2
- Rebuild against nodejs-mapnik 1.1.0

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.5.0-1
- Initial build of 0.5.0
